## org.apache.catalina.tribes.group.interceptors
Class TwoPhaseCommitInterceptor.MapEntry

    java.lang.Object
      org.apache.catalina.tribes.group.interceptors.TwoPhaseCommitInterceptor.MapEntry

Enclosing class:
  TwoPhaseCommitInterceptor

    public static class TwoPhaseCommitInterceptor.MapEntry

extends java.lang.Object

Field Summary
`UniqueId` `id`
`ChannelMessage` `msg`
`long` `timestamp`

Constructor Summary
`TwoPhaseCommitInterceptor.MapEntry(ChannelMessage msg, UniqueId id, long timestamp)`

Method Summary
`boolean` `expired(long now, long expiration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### msg

    public ChannelMessage msg

### id

    public UniqueId id

### timestamp

    public long timestamp

Constructor Detail

### TwoPhaseCommitInterceptor.MapEntry

    public TwoPhaseCommitInterceptor.MapEntry(ChannelMessage msg,
                                              UniqueId id,
                                              long timestamp)

Method Detail

### expired

    public boolean expired(long now,
                           long expiration)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.